%define upstream_name    Net-LDAPapi
%define upstream_version 3.0.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl bindings for LDAP client library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::ASN1) >= 0.190.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: glibc-devel
BuildRequires: openldap-devel
BuildRequires: perl-devel
%description
Perl bindings for LDAP client library

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
#find -name \*.pm | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor -sdk 1 -lib_path %{_libdir} -include_path %{_includedir} -sasl_include_path %{_includedir}
%make

%check
#make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorarch}/Net/*.pm
%{perl_vendorarch}/auto/Net/LDAPapi
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.0.4-2.mga6
+ Revision: 1031132
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3.0.4-1.mga6
+ Revision: 1002258
- update to 3.0.4

* Fri Feb 12 2016 umeabot <umeabot> 3.0.3-16.mga6
+ Revision: 957815
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 3.0.3-15.mga6
+ Revision: 845051
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 3.0.3-14.mga6
+ Revision: 842524
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 3.0.3-13.mga5
+ Revision: 742327
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.3-12.mga5
+ Revision: 685683
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.0.3-11.mga5
+ Revision: 631511
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 3.0.3-10.mga4
+ Revision: 524422
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 3.0.3-9.mga4
+ Revision: 430912
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.0.3-8.mga3
+ Revision: 370728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 3.0.3-7.mga3
+ Revision: 335947
- Set -sasl_include_path to avoid an interactive question

* Wed May 30 2012 jquelin <jquelin> 3.0.3-6.mga3
+ Revision: 250992
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 3.0.3-5.mga2
+ Revision: 104839
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 3.0.3-4.mga1
+ Revision: 32751
- rebuild
- mageia rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.0.3-3.mga1
+ Revision: 31697
- adding missing buildrequires
- using %%perl_convert_version
- mageia rebuild
- imported package perl-Net-LDAPapi


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 3.0.3-3mdv2011.0
+ Revision: 556043
- rebuild for perl 5.12

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 3.0.3-2mdv2010.0
+ Revision: 433632
- BuildRequires glibc-devel
- rebuild

* Tue Aug 26 2008 Buchan Milne <bgmilne@mandriva.org> 3.0.3-1mdv2009.0
+ Revision: 276361
- update to new version 3.0.3

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 3.0.2-4mdv2009.0
+ Revision: 258052
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 3.0.2-3mdv2009.0
+ Revision: 246148
- rebuild

* Tue Mar 11 2008 Buchan Milne <bgmilne@mandriva.org> 3.0.2-1mdv2008.1
+ Revision: 185247
- buildrequire openldap-devel
- import perl-Net-LDAPapi


